SXACL-USERNEWKEY(1)

NAME
sxacl-usernewkey - change (password based) user authentication key

SYNOPSIS
sxacl usernewkey [OPTIONS] <username> sx://[profile@]cluster

DESCRIPTION
sxacl usernewkey generates a new user authentication key based on a password or a random data, which automatically replaces the old one. A normal user can change its own key and a cluster administrator can change a key of any user.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-p, --pass-file=PATH
    By default sxacl works in interactive mode and asks for the user password on standard input. With this option it will read the password from the provided file.

-a, --auth-file=FILE
    Store authentication key in a given file (instead of printing it).

-g, --generate-key
    Automatically generate a new key based on a random data instead of a password.

-b, --batch-mode
    Disable additional information and only print the automatically generated authentication key.

--force-key=KEY
    By default, the new authentication key is automatically generated. With this option one can force the use of an old key. Only a key that was previously generated for the same username will be accepted.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To change the key of user 'joe' run:
sxacl usernewkey joe sx://admin@cluster

SEE ALSO
sxacl-usergetkey(1), sxacl-userlist(1), sxacl-useradd(1), sxacl-userdel(1), sxinit(1)